# imap_bodystruct

(PHP 4, PHP 5, PHP 7)

imap_bodystruct — Read the structure of a specified body section of a specific message

### Description

imap_bodystruct ( resource `$imap_stream` , int `$msg_number` , string `$section` ) : object

Read the structure of a specified body section of a specific message.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`msg_number`

  The message number

`section`

  The body section to read

### Return Values

Returns the information in an object, for a detailed description of the object structure and properties see imap_fetchstructure().

### See Also

- imap_fetchstructure() - Read the structure of a particular message